### Function

# GLib Sequence set

since: 2.14

#### Declaration

    void
    g_sequence_set (
      GSequenceIter* iter,
      gpointer data
    )

#### Description

Changes the data for the item pointed to by `iter` to be `data`. If the sequence has a data destroy function associated with it, that function is called on the existing data that `iter` pointed to.

Available since: 2.14

#### Parameters

`iter`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  New data for the item.

  The argument can be `NULL`.
  The data is owned by the caller of the function.